/****************************************************************************
** Form implementation generated from reading ui file 'ladspadialogbase.ui'
**
** Created: Tue May 6 13:15:35 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "ladspadialogbase.h"

#include <qvariant.h>
#include <qframe.h>
#include <qgroupbox.h>
#include <qtextedit.h>
#include <qcheckbox.h>
#include <qtable.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "ladspadialogbase.ui.h"

/*
 *  Constructs a LADSPADialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
LADSPADialogBase::LADSPADialogBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "LADSPADialogBase" );
    setEnabled( TRUE );
    setBackgroundOrigin( QDialog::WidgetOrigin );

    effectFrame = new QFrame( this, "effectFrame" );
    effectFrame->setGeometry( QRect( 5, 335, 705, 395 ) );
    effectFrame->setFrameShape( QFrame::StyledPanel );
    effectFrame->setFrameShadow( QFrame::Raised );

    audioInputsGroupBox = new QGroupBox( effectFrame, "audioInputsGroupBox" );
    audioInputsGroupBox->setGeometry( QRect( 5, 5, 345, 220 ) );

    audioInputsFrame = new QFrame( audioInputsGroupBox, "audioInputsFrame" );
    audioInputsFrame->setGeometry( QRect( 2, 18, 340, 200 ) );
    audioInputsFrame->setBackgroundOrigin( QFrame::WidgetOrigin );
    audioInputsFrame->setFrameShape( QFrame::NoFrame );
    audioInputsFrame->setFrameShadow( QFrame::Raised );

    audioOutputsGroupBox = new QGroupBox( effectFrame, "audioOutputsGroupBox" );
    audioOutputsGroupBox->setGeometry( QRect( 355, 5, 345, 220 ) );

    audioOutputsFrame = new QFrame( audioOutputsGroupBox, "audioOutputsFrame" );
    audioOutputsFrame->setGeometry( QRect( 2, 18, 340, 200 ) );
    audioOutputsFrame->setFrameShape( QFrame::NoFrame );
    audioOutputsFrame->setFrameShadow( QFrame::Raised );

    controlInputsGroupBox = new QGroupBox( effectFrame, "controlInputsGroupBox" );
    controlInputsGroupBox->setGeometry( QRect( 5, 225, 215, 165 ) );
    controlInputsGroupBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 0, controlInputsGroupBox->sizePolicy().hasHeightForWidth() ) );

    controlInputsTextLabel = new QTextEdit( controlInputsGroupBox, "controlInputsTextLabel" );
    controlInputsTextLabel->setGeometry( QRect( 5, 20, 205, 140 ) );
    controlInputsTextLabel->setBackgroundOrigin( QTextEdit::AncestorOrigin );
    QFont controlInputsTextLabel_font(  controlInputsTextLabel->font() );
    controlInputsTextLabel_font.setPointSize( 7 );
    controlInputsTextLabel->setFont( controlInputsTextLabel_font ); 
    controlInputsTextLabel->setWordWrap( QTextEdit::WidgetWidth );
    controlInputsTextLabel->setReadOnly( TRUE );

    controlOutputsGroupBox = new QGroupBox( effectFrame, "controlOutputsGroupBox" );
    controlOutputsGroupBox->setGeometry( QRect( 486, 225, 215, 165 ) );
    controlOutputsGroupBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 0, controlOutputsGroupBox->sizePolicy().hasHeightForWidth() ) );

    controlOutputsTextLabel = new QTextEdit( controlOutputsGroupBox, "controlOutputsTextLabel" );
    controlOutputsTextLabel->setGeometry( QRect( 5, 20, 205, 140 ) );
    controlOutputsTextLabel->setBackgroundOrigin( QTextEdit::AncestorOrigin );
    QFont controlOutputsTextLabel_font(  controlOutputsTextLabel->font() );
    controlOutputsTextLabel_font.setPointSize( 7 );
    controlOutputsTextLabel->setFont( controlOutputsTextLabel_font ); 
    controlOutputsTextLabel->setWordWrap( QTextEdit::WidgetWidth );
    controlOutputsTextLabel->setReadOnly( TRUE );

    pluginGroupBox = new QGroupBox( effectFrame, "pluginGroupBox" );
    pluginGroupBox->setGeometry( QRect( 226, 225, 255, 165 ) );

    pluginTextLabel = new QTextEdit( pluginGroupBox, "pluginTextLabel" );
    pluginTextLabel->setGeometry( QRect( 5, 19, 245, 90 ) );
    pluginTextLabel->setBackgroundOrigin( QTextEdit::AncestorOrigin );
    QFont pluginTextLabel_font(  pluginTextLabel->font() );
    pluginTextLabel_font.setPointSize( 7 );
    pluginTextLabel->setFont( pluginTextLabel_font ); 
    pluginTextLabel->setHScrollBarMode( QTextEdit::AlwaysOff );
    pluginTextLabel->setTextFormat( QTextEdit::AutoText );
    pluginTextLabel->setWordWrap( QTextEdit::WidgetWidth );
    pluginTextLabel->setReadOnly( TRUE );

    doublePlugCheckbox = new QCheckBox( pluginGroupBox, "doublePlugCheckbox" );
    doublePlugCheckbox->setEnabled( FALSE );
    doublePlugCheckbox->setGeometry( QRect( 9, 114, 240, 45 ) );

    table = new QTable( this, "table" );
    table->setNumCols( table->numCols() + 1 );
    table->horizontalHeader()->setLabel( table->numCols() - 1, tr( "Plugin name" ) );
    table->setNumCols( table->numCols() + 1 );
    table->horizontalHeader()->setLabel( table->numCols() - 1, tr( "Label" ) );
    table->setNumCols( table->numCols() + 1 );
    table->horizontalHeader()->setLabel( table->numCols() - 1, tr( "Maker" ) );
    table->setNumCols( table->numCols() + 1 );
    table->horizontalHeader()->setLabel( table->numCols() - 1, tr( "UID" ) );
    table->setGeometry( QRect( 5, 10, 705, 300 ) );
    table->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, table->sizePolicy().hasHeightForWidth() ) );
    table->setBackgroundOrigin( QTable::WidgetOrigin );
    table->setNumRows( 0 );
    table->setNumCols( 4 );
    table->setReadOnly( TRUE );
    table->setSelectionMode( QTable::SingleRow );

    addEffectButton = new QPushButton( this, "addEffectButton" );
    addEffectButton->setGeometry( QRect( 5, 735, 96, 46 ) );

    textLabel4 = new QLabel( this, "textLabel4" );
    textLabel4->setGeometry( QRect( 5, 310, 705, 23 ) );
    textLabel4->setAlignment( int( QLabel::WordBreak | QLabel::AlignCenter ) );

    pushButton5 = new QPushButton( this, "pushButton5" );
    pushButton5->setGeometry( QRect( 630, 735, 80, 46 ) );
    languageChange();
    resize( QSize(715, 787).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushButton5, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( table, SIGNAL( currentChanged(int,int) ), this, SLOT( currentChanged_(int,int) ) );
    connect( addEffectButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( doublePlugCheckbox, SIGNAL( toggled(bool) ), this, SLOT( stateChanged() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
LADSPADialogBase::~LADSPADialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void LADSPADialogBase::languageChange()
{
    setCaption( tr( "Add LADSPA plugin" ) );
    audioInputsGroupBox->setTitle( tr( "Wave -> Plugin Input" ) );
    audioOutputsGroupBox->setTitle( tr( "Plugin Output -> Wave" ) );
    controlInputsGroupBox->setTitle( tr( "Control Inputs" ) );
    controlOutputsGroupBox->setTitle( tr( "Control Outputs" ) );
    pluginGroupBox->setTitle( tr( "Plugin" ) );
    doublePlugCheckbox->setText( tr( "double plugin" ) );
    table->horizontalHeader()->setLabel( 0, tr( "Plugin name" ) );
    table->horizontalHeader()->setLabel( 1, tr( "Label" ) );
    table->horizontalHeader()->setLabel( 2, tr( "Maker" ) );
    table->horizontalHeader()->setLabel( 3, tr( "UID" ) );
    addEffectButton->setText( tr( "Add Plugin" ) );
    textLabel4->setText( tr( "<font color=\"#ff0000\"><h3>EXPERIMENTAL! Don't expect too much...</h3>" ) );
    pushButton5->setText( tr( "Cancel" ) );
}

